Skip to main content
GET
/
workflows
/
api-endpoints
List API trigger endpoints for a workflow
curl --request GET \
  --url https://api.artu.ai/workflows/api-endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "friendlyId": "<string>",
    "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "nodeId": "<string>",
    "label": "<string>",
    "revokedAt": "<string>",
    "lastUsedAt": "<string>",
    "createdAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Query Parameters

workflowId
string<uuid>
required
includeRevoked
boolean

Response

200 - application/json

OK

id
string<uuid>
required
friendlyId
string
required
workflowId
string<uuid>
required
nodeId
string
required
label
string | null
required
revokedAt
string | null
required
lastUsedAt
string | null
required
createdAt
string
required